## qglviewer 1.4-2

=== debian/changelog ===
qglviewer (1.4-2) unstable; urgency=low

  * fixed wrong build-depends
  * updated standards version

 -- Johannes Hirche <jhirche@debian.org>  Mon, 20 Oct 2003 09:23:59 +0200

qglviewer (1.4-1) unstable; urgency=low

  * new upstream. built with gcc-3.2
  * moved to yada
  * closes: #96323 

 -- Johannes Hirche <jhirche@debian.org>  Wed,  5 Mar 2003 15:55:29 +0100

qglviewer (1.3-1) unstable; urgency=low

  * new upstream release

 -- Johannes Hirche <jhirche@debian.org>  Wed,  5 Mar 2002 11:59:31 +0100

qglviewer (1.2.20010827) unstable; urgency=low

  * added debian/ to upstream cvs 

 -- Johannes Hirche <jhirche@debian.org>  Thu, 27 Sep 2001 11:17:39 +0200

qglviewer (1.2-1) unstable; urgency=low

  * new upstream release 

 -- Johannes Hirche <jhirche@debian.org>  Fri,  7 Sep 2001 11:45:49 +0200

qglviewer (1.1-2) unstable; urgency=low

  * Removed unwanted include from qglviewer.deb
  * Improved descriptions

 -- Johannes Hirche <jhirche@debian.org>  Fri, 16 Feb 2001 16:16:46 +0100

qglviewer (1.1-1) unstable; urgency=low

  * Initial Release.
  * Had to hack example profile

 -- Johannes Hirche <jhirche@debian.org>  Fri, 16 Feb 2001 16:16:06 +0100
