=== debian/control ===
Source: qglviewer
Maintainer: Johannes Hirche <jhirche@debian.org>
Section: graphics
Priority: optional
Standards-Version: 3.6.1
Build-Depends: libqt3c102-mt, libqt3-mt-dev, xlibmesa-dev, automake1.7, libtool, doxygen, qt3-dev-tools, libqt3-compat-headers, yada (>= 0.21)
Origin: debian

Package: libqglviewer1
Architecture: any
Depends: libqt3c102-mt, libgl1
Suggests: libqglviewer-dev
Description: A qt/opengl-based viewing widget
 QGLViewer addresses people programming in OpenGL to play around with
 three dimensional scenes or to write software that uses OpenGL.  It
 provides a set of classes for camera control, as well as comfortable
 user interface that allows you to control your viewing parameters via
 mouse and buttons. QGLViewer is object oriented and programmed in C++
 such that the programmer simply instantiates such a viewer and
 connects it to the own render routines.

Package: libqglviewer-dev
Architecture: any
Depends: libqglviewer1, libqt3-mt-dev, libqt3-compat-headers, qt3-dev-tools
Description: A qt/OpenGL-based viewing widget
 The header files and documentation necessary for development
 with the QGLViewer Package.
