=== debian/rules ===
#!/usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.21, of Sun,  7 Sep 2003

DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')

SHELL=/bin/bash

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " build-arch         compile the architecture-dependent package"; \
	echo " build-indep        compile the architecture-independent package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: chmod-yada build-only

.PHONY: build-arch-only build-arch
build-arch-only: debian/build-arch-stamp
build-arch: chmod-yada build-arch-only

.PHONY: build-indep-only build-indep
build-indep-only: debian/build-indep-stamp
build-indep: chmod-yada build-indep-only

# Make sure these rules and the control file are up-to-date

.PHONY: rules control templates
rules: debian/rules
debian/rules: $(shell which yada) debian/packages-tmp
	$(shell which yada) rebuild rules

control: debian/control
debian/control: $(shell which yada) debian/packages-tmp
	$(shell which yada) rebuild control

templates: debian/templates
debian/templates: $(shell which yada) debian/packages-tmp
	$(shell which yada) rebuild templates

debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
	@[ -f $(shell which yada) -a -f debian/rules ]
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export SOURCE="qglviewer" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'aclocal';\
	echo -E './configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man --with-qt=/usr/share/qt3';\
	echo -E 'CC=gcc';\
	echo -E 'CFLAGS="-Wall -O2"';\
	echo -E 'if [ "$${DEB_BUILD_OPTIONS#*debug}" != "$$DEB_BUILD_OPTIONS" ]; then';\
	echo -E '    CFLAGS="$$CFLAGS -g"';\
	echo -E 'fi';\
	echo -E 'make CFLAGS="$$CFLAGS" LDFLAGS="$$LDFLAGS" CC="$$CC"';\
	echo -E 'yada fixup libtool') | /bin/sh
	touch debian/build-stamp

debian/build-arch-stamp:
	@[ -f $(shell which yada) -a -f debian/rules ]
	touch debian/build-arch-stamp

debian/build-indep-stamp:
	@[ -f $(shell which yada) -a -f debian/rules ]
	touch debian/build-indep-stamp

.PHONY: install-tree
install-tree: chmod-yada install-tree-any
install-tree-any: \
	debian/tmp-libqglviewer-dev/DEBIAN/control \
	debian/tmp-libqglviewer1/DEBIAN/control

debian/tmp-libqglviewer-dev/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-libqglviewer-dev
	umask 022 && install -d debian/tmp-libqglviewer-dev/DEBIAN
	umask 022 && install -d debian/tmp-libqglviewer-dev/usr/share/doc/libqglviewer1
	umask 022 && ln -s libqglviewer1 debian/tmp-libqglviewer-dev/usr/share/doc/libqglviewer-dev
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-libqglviewer-dev" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-libqglviewer-dev/DEBIAN" \
	  && export PACKAGE="libqglviewer-dev" \
	  && export SOURCE="qglviewer" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E '(cd doc/html;make index.html)';\
	echo -E 'yada install -doc doc/html/*.html doc/html/*.css doc/html/*.png -subdir html';\
	echo -E 'yada install include/*.h include/*.cpp -into /usr/include/qglviewer';\
	echo -E '(cd src; make install DESTDIR=$$ROOT)';\
	echo -E 'rm -f $$ROOT/usr/lib/libqglviewer.so.*';\
	echo -E '(cd examples; make clean)';\
	echo -E 'tar -cvf examples.tar --exclude "CVS" --exclude ".deps" --exclude "Makefile.in" --exclude "Makefile.am" ./examples';\
	echo -E 'yada install -doc examples.tar';\
	echo -E 'rm -f examples.tar') | /bin/sh
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-libqglviewer-dev" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-libqglviewer-dev/DEBIAN" \
	  && export PACKAGE="libqglviewer-dev" \
	  && export SOURCE="qglviewer" \
	  && export VERSION="$(VERSION)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada perl';\
	echo -E 'yada python';\
	echo -E 'yada strip';\
	echo -E 'yada shlibdeps') | /bin/sh
	$(shell which yada) compress libqglviewer-dev
	$(shell which yada) generate maintscripts libqglviewer-dev
	find debian/tmp-libqglviewer-dev -type f -print \
	  | sed -n 's/^debian\/tmp-libqglviewer-dev\(\/etc\/.*\)$$/\1/p' \
	  > debian/tmp-libqglviewer-dev/DEBIAN/conffiles
	if test ! -s debian/tmp-libqglviewer-dev/DEBIAN/conffiles; then rm -f debian/tmp-libqglviewer-dev/DEBIAN/conffiles; fi
	$(shell which yada) rebuild control
	$(shell which yada) generate substvars libqglviewer-dev
	-rmdir debian/tmp-libqglviewer-dev/usr/share/doc/libqglviewer1
	umask 022 && dpkg-gencontrol -isp -plibqglviewer-dev -Pdebian/tmp-libqglviewer-dev

debian/tmp-libqglviewer1/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-libqglviewer1
	umask 022 && install -d debian/tmp-libqglviewer1/DEBIAN
	install -d debian/tmp-libqglviewer1/usr/share/doc/libqglviewer1
	umask 022; $(shell which yada) generate copyright \
	  > debian/tmp-libqglviewer1/usr/share/doc/libqglviewer1/copyright
	install -m 644 -p debian/changelog \
	  debian/tmp-libqglviewer1/usr/share/doc/libqglviewer1/changelog.Debian
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-libqglviewer1" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-libqglviewer1/DEBIAN" \
	  && export PACKAGE="libqglviewer1" \
	  && export SOURCE="qglviewer" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E '(cd src; make install DESTDIR=$$ROOT)';\
	echo -E 'rm -f $$ROOT/usr/lib/libqglviewer.a';\
	echo -E 'rm -f $$ROOT/usr/lib/libqglviewer.la';\
	echo -E 'rm -f $$ROOT/usr/lib/libqglviewer.so';\
