## qglviewer 1.4-2ubuntu1

=== debian/changelog ===
qglviewer (1.4-2ubuntu1) breezy; urgency=low

  * Fix build-deps for libqt3
  * Fix deps and build-deps for xlibmesa-gl

 -- Barry deFreese <bddebian@comcast.net>  Tue, 13 Sep 2005 20:31:07 -0400
