=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Section: graphics
 Priority: optional
 Standards-Version: 3.6.1
-Build-Depends: libqt3c102-mt, libqt3-mt-dev, xlibmesa-dev, automake1.7, libtool, doxygen, qt3-dev-tools, libqt3-compat-headers, yada (>= 0.21)
+Build-Depends: libqt3-mt, libqt3-mt-dev, libgl1-mesa-dev | libgl-dev, automake1.7, libtool, doxygen, qt3-dev-tools, libqt3-compat-headers, yada (>= 0.35)
 Origin: debian
 
 Package: libqglviewer1
 Architecture: any
-Depends: libqt3c102-mt, libgl1
+Depends: libqt3-mt, libgl1-mesa-dev | libgl
 Suggests: libqglviewer-dev
 Description: A qt/opengl-based viewing widget
  QGLViewer addresses people programming in OpenGL to play around with
