=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,46 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.21, of Sun,  7 Sep 2003
+# by yada v0.35, of Tue,  5 Jul 2005
 
-DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
+DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
+DEB_HOST_ARCH_CPU    := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
+DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU 2>/dev/null)
+DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE 2>/dev/null)
+DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM 2>/dev/null)
 
-DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
-DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
+DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH 2>/dev/null)
+DEB_BUILD_ARCH_OS    := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS 2>/dev/null)
+DEB_BUILD_ARCH_CPU   := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)
+DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU 2>/dev/null)
+DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE 2>/dev/null)
+DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM 2>/dev/null)
+
+# Take account of old dpkg-architecture output.
+ifeq ($(DEB_HOST_ARCH_CPU),)
+  DEB_HOST_ARCH_CPU := $(DEB_HOST_GNU_CPU))
+  ifeq ($(DEB_HOST_ARCH_CPU),i486)
+    DEB_HOST_ARCH_OS := i386
+  endif
+endif
+ifeq ($(DEB_HOST_ARCH_OS),)
+  DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
+  ifeq ($(DEB_HOST_ARCH_OS),gnu)
+    DEB_HOST_ARCH_OS := hurd
+  endif
+endif
+ifeq ($(DEB_BUILD_ARCH_CPU),)
+  DEB_BUILD_ARCH_CPU := $(DEB_BUILD_GNU_CPU))
+  ifeq ($(DEB_BUILD_ARCH_CPU),i486)
+    DEB_BUILD_ARCH_OS := i386
+  endif
+endif
+ifeq ($(DEB_BUILD_ARCH_OS),)
+  DEB_BUILD_ARCH_OS := $(subst -gnu,,$(DEB_BUILD_GNU_SYSTEM))
+  ifeq ($(DEB_BUILD_ARCH_OS),gnu)
+    DEB_BUILD_ARCH_OS := hurd
+  endif
+endif
 
 VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')
 
@@ -34,30 +64,30 @@
 
 .PHONY: build-only build
 build-only: debian/build-stamp
-build: chmod-yada build-only
+build: build-only
 
 .PHONY: build-arch-only build-arch
 build-arch-only: debian/build-arch-stamp
-build-arch: chmod-yada build-arch-only
+build-arch: build-arch-only
 
 .PHONY: build-indep-only build-indep
 build-indep-only: debian/build-indep-stamp
-build-indep: chmod-yada build-indep-only
+build-indep: build-indep-only
 
 # Make sure these rules and the control file are up-to-date
 
 .PHONY: rules control templates
 rules: debian/rules
 debian/rules: $(shell which yada) debian/packages-tmp
-	$(shell which yada) rebuild rules
+	yada rebuild rules
 
 control: debian/control
 debian/control: $(shell which yada) debian/packages-tmp
-	$(shell which yada) rebuild control
+	yada rebuild control
 
 templates: debian/templates
 debian/templates: $(shell which yada) debian/packages-tmp
-	$(shell which yada) rebuild templates
+	yada rebuild templates
 
 debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
 	@[ -f $(shell which yada) -a -f debian/rules ]
@@ -93,7 +123,7 @@
 	touch debian/build-indep-stamp
 
 .PHONY: install-tree
-install-tree: chmod-yada install-tree-any
+install-tree: install-tree-any
 install-tree-any: \
 	debian/tmp-libqglviewer-dev/DEBIAN/control \
 	debian/tmp-libqglviewer1/DEBIAN/control
@@ -140,14 +170,14 @@
 	echo -E 'yada python';\
 	echo -E 'yada strip';\
 	echo -E 'yada shlibdeps') | /bin/sh
-	$(shell which yada) compress libqglviewer-dev
-	$(shell which yada) generate maintscripts libqglviewer-dev
+	yada compress libqglviewer-dev
+	yada generate maintscripts libqglviewer-dev
 	find debian/tmp-libqglviewer-dev -type f -print \
 	  | sed -n 's/^debian\/tmp-libqglviewer-dev\(\/etc\/.*\)$$/\1/p' \
 	  > debian/tmp-libqglviewer-dev/DEBIAN/conffiles
 	if test ! -s debian/tmp-libqglviewer-dev/DEBIAN/conffiles; then rm -f debian/tmp-libqglviewer-dev/DEBIAN/conffiles; fi
-	$(shell which yada) rebuild control
-	$(shell which yada) generate substvars libqglviewer-dev
+	yada rebuild control
+	yada generate substvars libqglviewer-dev
 	-rmdir debian/tmp-libqglviewer-dev/usr/share/doc/libqglviewer1
 	umask 022 && dpkg-gencontrol -isp -plibqglviewer-dev -Pdebian/tmp-libqglviewer-dev
 
@@ -155,26 +185,8 @@
 	rm -rf debian/tmp-libqglviewer1
 	umask 022 && install -d debian/tmp-libqglviewer1/DEBIAN
 	install -d debian/tmp-libqglviewer1/usr/share/doc/libqglviewer1
-	umask 022; $(shell which yada) generate copyright \
+	umask 022; yada generate copyright \
 	  > debian/tmp-libqglviewer1/usr/share/doc/libqglviewer1/copyright
 	install -m 644 -p debian/changelog \
 	  debian/tmp-libqglviewer1/usr/share/doc/libqglviewer1/changelog.Debian
 	@umask 022 \
-	  && export pwd="$$(pwd)" \
-	  && export ROOT="$$(pwd)/debian/tmp-libqglviewer1" \
-	  && export TMPROOT="$$(pwd)/debian/tmp" \
-	  && export CONTROL="$$(pwd)/debian/tmp-libqglviewer1/DEBIAN" \
-	  && export PACKAGE="libqglviewer1" \
-	  && export SOURCE="qglviewer" \
-	  && export VERSION="$(VERSION)" \
-	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
-	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
-	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
-	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
-	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
-	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
-	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
-	echo -E '(cd src; make install DESTDIR=$$ROOT)';\
-	echo -E 'rm -f $$ROOT/usr/lib/libqglviewer.a';\
-	echo -E 'rm -f $$ROOT/usr/lib/libqglviewer.la';\
-	echo -E 'rm -f $$ROOT/usr/lib/libqglviewer.so';\
