## qglviewer 1.4-3

=== debian/changelog ===
qglviewer (1.4-3) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/control: removed Origin: field
  * debian/control: change build-dependency to libqt3-mt (closes: #327950)
  * debian/control: build-depend on xlibmesa-gl-dev instead of xlibmesa-dev
  * debian/control: removed Origin: field
  * Reran libtoolize --force (closes: #364015)

 -- Andrew Pollock <apollock@debian.org>  Sun, 21 May 2006 22:49:20 -0700
