=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: qglviewer
-Maintainer: Johannes Hirche <jhirche@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: graphics
 Priority: optional
 Standards-Version: 3.6.1
-Build-Depends: libqt3-mt, libqt3-mt-dev, libgl1-mesa-dev | libgl-dev, automake1.7, libtool, doxygen, qt3-dev-tools, libqt3-compat-headers, yada (>= 0.35)
-Origin: debian
+Build-Depends: libqt3-mt, libqt3-mt-dev, xlibmesa-gl-dev, automake1.7, libtool, doxygen, qt3-dev-tools, libqt3-compat-headers, yada (>= 0.48)
 
 Package: libqglviewer1
 Architecture: any
-Depends: libqt3-mt, libgl1-mesa-dev | libgl
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgl1
 Suggests: libqglviewer-dev
 Description: A qt/opengl-based viewing widget
  QGLViewer addresses people programming in OpenGL to play around with
