=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.35, of Tue,  5 Jul 2005
+# by yada v0.48, of Wed, 28 Sep 2005
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -21,6 +21,10 @@
   DEB_HOST_ARCH_CPU := $(DEB_HOST_GNU_CPU))
   ifeq ($(DEB_HOST_ARCH_CPU),i486)
     DEB_HOST_ARCH_OS := i386
+  else
+  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
+    DEB_HOST_ARCH_OS := amd64
+  endif
   endif
 endif
 ifeq ($(DEB_HOST_ARCH_OS),)
@@ -33,6 +37,10 @@
   DEB_BUILD_ARCH_CPU := $(DEB_BUILD_GNU_CPU))
   ifeq ($(DEB_BUILD_ARCH_CPU),i486)
     DEB_BUILD_ARCH_OS := i386
+  else
+  ifeq ($(DEB_BUILD_ARCH_CPU),x86_64)
+    DEB_BUILD_ARCH_OS := amd64
+  endif
   endif
 endif
 ifeq ($(DEB_BUILD_ARCH_OS),)
@@ -42,7 +50,8 @@
   endif
 endif
 
-VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')
+LEFT_PARENTHESIS:=(
+VERSION:=$(shell head -n1 debian/changelog | sed -e "s/^[0-9a-zA-Z.-]* $(LEFT_PARENTHESIS)//" -e "s/[^0-9a-zA-Z.:+~-].*//")
 
 SHELL=/bin/bash
 
@@ -85,8 +94,10 @@
 debian/control: $(shell which yada) debian/packages-tmp
 	yada rebuild control
 
-templates: debian/templates
+templates: debian/templates debian/po/POTFILES.in
 debian/templates: $(shell which yada) debian/packages-tmp
+	yada rebuild templates
+debian/po/POTFILES.in: $(shell which yada) debian/packages-tmp
 	yada rebuild templates
 
 debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
@@ -175,7 +186,7 @@
 	find debian/tmp-libqglviewer-dev -type f -print \
 	  | sed -n 's/^debian\/tmp-libqglviewer-dev\(\/etc\/.*\)$$/\1/p' \
 	  > debian/tmp-libqglviewer-dev/DEBIAN/conffiles
-	if test ! -s debian/tmp-libqglviewer-dev/DEBIAN/conffiles; then rm -f debian/tmp-libqglviewer-dev/DEBIAN/conffiles; fi
+	test -s debian/tmp-libqglviewer-dev/DEBIAN/conffiles || rm -f debian/tmp-libqglviewer-dev/DEBIAN/conffiles
 	yada rebuild control
 	yada generate substvars libqglviewer-dev
 	-rmdir debian/tmp-libqglviewer-dev/usr/share/doc/libqglviewer1
@@ -183,10 +194,3 @@
 
 debian/tmp-libqglviewer1/DEBIAN/control: debian/build-stamp debian/control
 	rm -rf debian/tmp-libqglviewer1
-	umask 022 && install -d debian/tmp-libqglviewer1/DEBIAN
-	install -d debian/tmp-libqglviewer1/usr/share/doc/libqglviewer1
-	umask 022; yada generate copyright \
-	  > debian/tmp-libqglviewer1/usr/share/doc/libqglviewer1/copyright
-	install -m 644 -p debian/changelog \
-	  debian/tmp-libqglviewer1/usr/share/doc/libqglviewer1/changelog.Debian
-	@umask 022 \
